Skip to content

Query SLO Resource Pack Task Status



GET /api/v1/slo/query_action_status

Overview

Query the status of an SLO resource pack import or export task.

Query Request Parameters

Parameter Type Required Description
taskId string Y SLO resource pack task ID
Example: task_xxx
Allow empty: False

Parameter Notes

Use the taskId returned by the SLO import or export interface to query the task status. The response structure is compatible with the workspace resource task status; for SLO resource pack tasks, use this interface instead of the workspace resource status interface.

Request Example

curl 'https://openapi.truewatch.com/api/v1/slo/query_action_status?taskId=task_xxx' \
-H 'DF-API-KEY: <DF-API-KEY>' \
--compressed

Response

{
    "code": 200,
    "content": {
        "status": "ok",
        "action": "export",
        "import_info": {},
        "url": "https://static.example.com/temporary/random_task/resource.zip"
    },
    "errorCode": "",
    "message": "",
    "success": true,
    "traceId": "TRACE-XXXX"
}